Search documentation of phoenix_kit

# PhoenixKitWeb.Components.Core.Flash (phoenix_kit v1.7.87)

Copy Markdown View Source

Provides flash UI components.

## Summary

### Functions

flash(assigns)

Renders flash notices.

flash_group(assigns)

Shows the flash group with all flash messages.

## Functions

# flash(assigns)

Renders flash notices.

## Examples

    <.flash kind={:info} flash={@flash} />
    <.flash kind={:info} phx-mounted={show("#flash")}>Welcome Back!</.flash>

## Attributes

- `id` (`:string`) - the optional id of flash container.
- `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.
- `title` (`:string`) - Defaults to `nil`.
- `kind` (`:atom`) - used for styling and flash lookup. Must be one of `:info`, `:warning`, or `:error`.
- `autoclose` (`:any`) - Auto-dismiss delay in ms, or false to disable. Defaults to `5000`.
- Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.

## Slots

- `inner_block` - the optional inner block that renders the flash message.

# flash_group(assigns)

Shows the flash group with all flash messages.

## Examples

    <.flash_group flash={@flash} />

## Attributes

- `flash` (`:map`) (required) - the map of flash messages.
- `id` (`:string`) - the optional id of flash container. Defaults to `"flash-group"`.